<?php
/**
 * Audio Post Format on index and archive pages
 *
 * @package WordPress
 * @subpackage Stallion Responsive
 * @since Stallion 6.1
 */
?>
<?php if ($wp_query->current_post < 3) : ?>
<h2 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h2>
<?php elseif ($wp_query->current_post < 7) : ?>
<h3 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h3>
<?php else : ?>
<h4 class="stpostlink"><a href="<?php the_permalink(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php the_title(); ?></a></h4>
<?php endif; ?>

<?php if (st_meta_date_area() == '1') { ?><?php get_template_part( 'layout/meta_date_area' ); ?><?php } ?>

<div class="post-content">
<?php if (is_active_sidebar('content-widget-area')) : ?><?php if ($wp_query->current_post == '0') { ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php } ?><?php endif; ?>
<?php get_template_part( 'layout/thumbnails' ); ?>
<?php if (st_post_lo() == '0') : ?>
<?php the_content(); ?>
<p class="clear"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></p>
<?php else : ?>
<?php the_excerpt(','); ?><p class="clear"><?php echo st_lang_continue(); ?> <a href="<?php the_permalink() ?><?php if (st_seo_plus() == '1') { ?>#contread<?php } ?>"><?php if ((st_seo_data() == '1' || function_exists('aioseop_mrt_mkarry')) && get_post_meta($post->ID, '_aioseop_title', true)): ?><?php echo get_post_meta($post->ID, '_aioseop_title', true) ?><?php elseif ((st_seo_data() == '2' || function_exists('wpseo_init')) && get_post_meta($post->ID, '_yoast_wpseo_title', true)): ?><?php echo get_post_meta($post->ID, '_yoast_wpseo_title', true) ?><?php else : ?><?php the_title(); ?><?php endif; ?></a></p><?php endif; ?>
<?php if (st_post_tags() == '1') { ?><p class="tags"><?php the_tags(); ?></p><?php } ?>
<?php if (comments_open() && st_commentlink() == '1'): ?><div class="postcom"><?php comments_popup_link('' . st_lang_comno() . '', '' . st_lang_comone() . '', '% ' . st_lang_comcoms() . ''); ?></div><?php endif; ?>
<?php if (comments_open() && st_commentlink() == '2'): ?><div class="postcom"><?php comments_number('' . st_lang_comno() . '', '' . st_lang_comone() . '', '% ' . st_lang_comcoms() . ''); ?></div><?php endif; ?>
    <div class="clear"></div>

</div>

<?php if (st_meta_date_area() == '2') { ?><?php get_template_part( 'layout/meta_date_area' ); ?><?php } ?>

<div class="divpadding"></div>