<?php /*
  This is the functions.php file, if you are adding a feature
  (plugin for example) that requires adding code to the functions.php
  file please use the file "functions-child.php" instead. The file
  was added to Stallion for adding extra code making it easier to
  keep track of your customizations and manage future Stallion updates.
 */ ?>
<?php function st_parent_directory() {
$st_parent = wp_get_theme();
$st_parent_directory = $st_parent->Template;
return $st_parent_directory;
} ?>
<?php function st_child_directory() {
$st_child = wp_get_theme();
$st_child_directory = $st_child->stylesheet;
return $st_child_directory;
} ?>
<?php include_once (get_template_directory() . "/st_responsive_menu.php"); ?>
<?php if (file_exists(STYLESHEETPATH . '/st_responsive_child.php')) {
include_once (STYLESHEETPATH . "/st_responsive_child.php");
} else {
include_once (get_template_directory() . "/st_responsive_child.php");
} ?>
<?php include_once (get_template_directory() . "/st_responsive_adsense.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_chitika.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_inlinks.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_layout.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_colours.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_promotion.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_language.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_performance.php"); ?>
<?php include_once (get_template_directory() . "/st_responsive_seoplus.php"); ?>
<?php
if(!function_exists('str_activation')) {
function str_activation() {
if(get_option('str_activated') == 'activated') {
return;
} else {
get_template_part( 'st_responsive_updates' );

// Remove unnecessary widget queries
add_option( 'widget_pages', array ( '_multiwidget' => 1 ) );
add_option( 'widget_calendar', array ( '_multiwidget' => 1 ) );
add_option( 'widget_tag_cloud', array ( '_multiwidget' => 1 ) );
add_option( 'widget_nav_menu', array ( '_multiwidget' => 1 ) );
add_option( 'widget_st-google-translator', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_caticon_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_st_search_adgoogle', array ( '_multiwidget' => 1 ) );
add_option( 'stallion_spw_widget_use_post_title', array ( '_multiwidget' => 1 ) );
add_option( 'widget_st_ad_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_searchc_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_search_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_st_pop_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_youtube_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion-wseo-recent-comments', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_adsense1_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_st_wg_flickr', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_chitika1_widget', array ( '_multiwidget' => 1 ) );
add_option( 'stallion_caticon_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_padding_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_endrow_widget', array ( '_multiwidget' => 1 ) );
add_option( 'widget_stallion_spacer_widget', array ( '_multiwidget' => 1 ) );
add_option( 'stallion_site_title_2', '' );
add_option( 'str_widgetany_field', array ( 'num_of_waw_sidebars' => '', 'swa_name_1' => '' ) );

#add_option( 'cat_arch_data', array ( 'template' => '0', 'priority' => '10' ) );
#add_option( 'cat_temp_post', array ( 'id' => '0', 'template' => '0', 'priority' => '10' ) );
#flush_rewrite_rules(true);
update_option('str_activated', 'activated');
}
}
}
add_action('init', 'str_activation');
add_action('admin_init', 'str_activation');
?>
<?php if (st_theme_colors_csss() == '1' || st_theme_colors_csss() == '2') { ?>
<?php get_template_part( 'plugins/colors_css/color-functions' ); ?>
<?php } ?>
<?php if (st_theme_colors_csss() == '1') { ?>
<?php get_template_part( 'st_responsive_colors_css_inline' ); ?>
<?php } ?>
<?php if (st_theme_colors_csss() == '2') { ?>
<?php get_template_part( 'st_responsive_colors_css_creator' ); ?>
<?php } ?>
<?php get_template_part( 'functionsplus' ); ?>