<?php
class St_My_Walker extends Walker_Nav_Menu {
var $item_count = 0;

function end_el(&$output, $item, $depth=0, $args=array()) {
$output .= "\n";
}

function start_el(&$output, $item, $depth=0, $args=array(), $id=0) {
global $wp_query, $item_count;
if (file_exists(STYLESHEETPATH . '/timthumb.php')) {
$theme_url = get_bloginfo('stylesheet_directory');
} else {
$theme_url = get_bloginfo('template_url');
}
$class_names = $value = '';
$classes = empty($item->classes) ? array() : (array) $item->classes;
$classes[] = 'menu-item-' . $item->ID;

if ($item_count <= 3) {
if (isset($item->object_id)) {
$thumbnailid = (int) $item->object_id;
$thumbnail = get_image_path(get_post_meta($thumbnailid, 'photothumb', true));
} else {
$thumbnail = $theme_url . '/imagemenu/images/' . (int) $item_count . '.jpg';
}
$class_names = join(' ', apply_filters('nav_menu_css_class', array_filter($classes), $item));
$class_names = ' class="stnavbox bk' . (int) $item_count . '" ';
$output .= '<div id="menu-item-' . $item->ID . '"' . $value . $class_names . '>';
$attributes = !empty($item->url) ? ' href="' . esc_attr($item->url) . '"' : '';
$item_output = $args->before;
if ($thumbnail == '') {
$thumbnail = $theme_url . '/imagemenu/images/' . (int) $item_count . '.jpg';
$item_output = '<a' . $attributes . ' style="background: url(\'' . $thumbnail . '\');">';
} else {
$item_output = '<a' . $attributes . ' style="background: url(\'' . $theme_url . '/timthumb.php?src=' . $thumbnail . '&amp;w=300&amp;h=200&amp;q=' . st_navtimtb_quality() . '\');">';
}
$item_output .= apply_filters('the_title', $item->title, $item->ID);
$item_output .= '</a>';
$item_output .= "</div>\n";
$output .= apply_filters('walker_nav_menu_start_el', $item_output, $item, $depth=0, $args=array(), $id=0);
}

if ($item_count == 4) {
if (isset($item->object_id)) {
$thumbnailid = (int) $item->object_id;
$thumbnail = get_image_path(get_post_meta($thumbnailid, 'photothumb', true));
} else {
$thumbnail = $theme_url . '/imagemenu/images/' . (int) $item_count . '.jpg';
}
$class_names = join(' ', apply_filters('nav_menu_css_class', array_filter($classes), $item));
$class_names = ' class="stnavbox bk' . (int) $item_count . '" ';
$output .= '<div id="menu-item-' . $item->ID . '"' . $value . $class_names . '>';
$attributes = !empty($item->url) ? ' href="' . esc_attr($item->url) . '"' : '';
$item_output = $args->before;
if ($thumbnail == '') {
$thumbnail = $theme_url . '/imagemenu/images/' . (int) $item_count . '.jpg';
$item_output = '<a' . $attributes . ' style="background: url(\'' . $thumbnail . '\');">';
} else {
$item_output = '<a' . $attributes . ' style="background: url(\'' . $theme_url . '/timthumb.php?src=' . $thumbnail . '&amp;w=300&amp;h=200&amp;q=' . st_navtimtb_quality() . '\');">';
}
$item_output .= apply_filters('the_title', $item->title, $item->ID);
$item_output .= '</a>';
$item_output .= "</div>\n";
$output .= apply_filters('walker_nav_menu_start_el', $item_output, $item, $depth=0, $args=array(), $id=0);
}

$item_count++;
}
}
function no_sliding_menu() {
$blog_url = site_url();
if (file_exists(STYLESHEETPATH . '/timthumb.php')) {
$theme_url = get_bloginfo('stylesheet_directory');
} else {
$theme_url = get_bloginfo('template_url');
}
$blogname = get_bloginfo('name');
echo "<div class=\"st_navslider_wide\"><div id=\"menu-navphoto\" class=\"st_navslider\">
<div class=\"stnavbox bk0\"><a href=\"http://stallion-theme.co.uk/wordpress-navigation-menu-with-images/\" style=\"background: url('" . $theme_url . "/imagemenu/images/stallion-theme.jpg');\">Stallion Responsive</a></div>
<div class=\"stnavbox bk1\"><a href=\"" . $blog_url . "\" style=\"background: url('" . $theme_url . "/imagemenu/images/hot-post.jpg');\">" . $blogname . "</a></div>
<div class=\"stnavbox bk2\"><a href=\"" . $blog_url . "\" style=\"background: url('" . $theme_url . "/imagemenu/images/hot-post.jpg');\">" . $blogname . "</a></div>
<div class=\"stnavbox bk3\"><a href=\"" . $blog_url . "\" style=\"background: url('" . $theme_url . "/imagemenu/images/hot-post.jpg');\">" . $blogname . "</a></div>
<div class=\"stnavbox bk4\"><a href=\"" . $blog_url . "\" style=\"background: url('" . $theme_url . "/imagemenu/images/hot-post.jpg');\">" . $blogname . "</a></div>
</div></div>";
}
?>