<?php
/* Based on Widgets on Pages Version: 0.0.12 http://gingerbreaddesign.co.uk/wordpress/plugins/widgets-on-pages.php Copyright 2010  TODD HALFPENNY  (email : todd@gingerbreaddesign.co.uk) */
add_action('admin_menu', 'str_wop_menu');

function str_wop_menu(){
add_submenu_page('st_responsive_menu.php', 'Stallion Widgets Anywhere Options', 'Widgets Anywhere', 'manage_options', 'str_widgetany', 'str_widgetany_op');
add_action( 'admin_init', 'register_str_widgetany_settings' );
}

function register_str_widgetany_settings() {
register_setting( 'str_widgetany', 'str_widgetany_field' );
}

function str_widgetany_op() {
?>
<div class="wrap">
<div id="icon-tools" class="icon32"></div>
<h2>Stallion Widgets Anywhere</h2>
<p>With great power there must also come great responsibility! - <strong>Uncle Ben in Spiderman</strong></p>
<form method="post" action="options.php">
<?php
wp_nonce_field('update-options'); 
settings_fields( 'str_widgetany' ); 
$options = get_option('str_widgetany_field');
$num_add_sidebars = $options["num_of_waw_sidebars"];
?>
<script language="JavaScript">
    function validate(evt) {
      var theEvent = evt || window.event;
      var key = theEvent.keyCode || theEvent.which;
      if ((key == 8) || (key == 9) || (key == 13)) {
      }
      else {
        key = String.fromCharCode( key );
        var regex = /[0-9]|\./;
        if( !regex.test(key) ) {
          theEvent.returnValue = false;
          theEvent.preventDefault();
        }
      }
    }
</script>
<p>There's always one default Stallion Anywhere Widget Area under <a href="widgets.php">"Appearance" >> "Widgets"</a> called "Stallion Anywhere Widget Area 1" unless you change it's name below.</p>
<p>If you wanted a total of 5 extra widget areas enter 4 in the box below and click "Save Changes" (click it twice to save the options correctly to the database) and you will see a total of 5 forms under "Optional Widget Area Names" for naming the widget areas.</p>
<table cellspacing="2" cellpadding="5" border="0" width=100% class="editform">
<tr valign="top">
<th scope='row' width='40%'>Number of Stallion Anywhere Widget Areas</th>
<td><input type='text'  name="str_widgetany_field[num_of_waw_sidebars]" size='3' value="<?php echo $num_add_sidebars;?>"  onkeypress='validate(event)' /></td>
</tr>
<tr>
<td></td>
<td>
<p class="submit"><input type="submit" class="button-primary" value="<?php _e('Save Changes', 'stallion') ?>" /></p>
</td>
</tr>
<tr>
<td><h3>Optional Widget Area Names</h3></td>
<td></td></tr>

<?php
for ($sidebar = 1; $sidebar <= ($num_add_sidebars + 1); $sidebar++) {
$option_id = 'swa_name_' . $sidebar;
?>
<tr valign="top">
<th scope="row">Anywhere Widget Area <?php echo $sidebar; ?>:<br /> [stallion_widget_any id=swa<?php echo $sidebar; ?>]</th>
<td><input type='text' name="str_widgetany_field[<?php echo $option_id; ?>]" size='35' value="<?php echo $options[$option_id]; ?>" /></td>
</tr>
<?php
}
?>
<tr>
<td></td>
<td>
<p>All of the "Anywhere Widget Areas" will be available under <a href="widgets.php">"Appearance" >> "Widgets"</a> for adding any widget to. If you leave the name forms above empty the widget areas will be called "Stallion Anywhere Widget Area 1", "Stallion Anywhere Widget Area 2" etc... If you set an optional name, whatever you add above will be how they are labelled.</p>
<p class="submit"><input type="submit" class="button-primary" value="<?php _e('Save Changes', 'stallion') ?>" /></p>
</td>
</tr>
<tr>
<td></td>
<td><input type="hidden" name="action" value="update" />    
</td></tr>

</tr>
<tr>
<td></td>
<td>
<p>Your custom widget areas are not used by Stallion Responsive by default, you add either a WordPress shortcode to a Post or Page or add the shortcode to a theme template file: you could for example create a complicated WordPress Page Template using half a dozen widget areas created here.</p>
<h3>To use within a WordPress Post or Page</h3>
<p>Edit the Post/Page and include the relevant shortcode for a widget area you created above into the area of the content you want the widget area to load.</p>
<p>Anywhere Widget Area 1: <strong>&lt;div class="sidebar-box"&gt;[stallion_widget_any id=swa1]&lt;/div&gt;</strong><br />
Anywhere Widget Area 2: <strong>&lt;div class="sidebar-box"&gt;[stallion_widget_any id=swa2]&lt;/div&gt;</strong><br />
...</p>
<p>The surrounding code is so your widgets use all the font styles etc... widgets on sidebars use. If you want to NOT use all styles use the plain shortcode only.</p>
<p>Anywhere Widget Area 1: <strong>[stallion_widget_any id=swa1]</strong></p>
<p>If for example you wanted a "Tagcloud" to load in the middle of the content of a handful of posts (not sure why anyone would want that, but here goes :-)). Under <a href="widgets.php">"Appearance" >> "Widgets"</a> you'd drag n drop a "Tagcloud Widget" into say the "Stallion Anywhere Widget Area 1" widget location. Add whatever settings for that widget you wanted (same as you would if you wanted to create an Tagcloud on a sidebar).</p>
<p>Edit each post you wanted this widget to load within the content and add <strong>[stallion_widget_any id=swa1]</strong> to the part of the content you want the Tagcloud to load. Repeat the edit post and copy and paste <strong>[stallion_widget_any id=swa1]</strong> into all the posts you want this widget area on.</p>
<p>It's that simple, with this feature you can add widgets anywhere within the main content of a Post/Page.</p>
<p>The above technique also works with the hard coded Stallion widget areas as well (left and right sidebar for example), to use you just need to set the correct ID (see list below) and if you want to use all the sidebar styling a little extra HTML code. For example to add the Right Sidebar to a post use this code:</p>
<p><strong>&lt;div class="sidebar-box"&gt;[stallion_widget_any id=st-right-sidebar]&lt;/div&gt;</strong><br /><br />Want the use the Left Sidebar within a post replace "st-right-sidebar" with "st-left-sidebar".</p>
<p><strong>Stallion Widget Area IDs</strong><br /></p>
<p>Left Sidebar : id = st-left-sidebar<br />
Right Sidebar : id = st-right-sidebar<br />
Left Sidebar Top Left : id = st-left-sidebar-tleft<br />
Left Sidebar Top Right : id = st-left-sidebar-tright<br />
Left Sidebar Bottom Left : id = st-left-sidebar-bleft<br />
Left Sidebar Bottom Right : id = st-left-sidebar-bright<br />
Right Sidebar Top Left : id = st-right-sidebar-tleft<br />
Right Sidebar Top Right : id = st-right-sidebar-tright<br />
Right Sidebar Bottom Left : id = st-right-sidebar-bleft<br />
Right Sidebar Bottom Right Area : id = st-right-sidebar-bright<br />
First Footer Area : id = first-footer-widget-area<br />
Second Footer Area : id = second-footer-widget-area<br />
Third Footer Area : id = third-footer-widget-area<br />
Fourth Footer Area : id = fourth-footer-widget-area<br />
Below Main Footer Area : id = fifth-footer-widget-area<br />
Above Header Area : id = st-above-header-widget-area<br />
Within/Over Header Area : id = st-header-widget-area<br />
Below Header Area 1 : id = st-below-head1-widget-area<br />
Below Header Area 2 : id = st-below-head2-widget-area<br />
Below Banner Image Area : id = banner-widget-area<br />
Floating Content Area : id = content-widget-area<br />
Between Posts on Archives Area : id = archive-widget-area<br />
Bottom of Blog Posts and Static Pages Area : id = bottom-content-widget-area<br />
Page Template One : id = template-one-widget-area</p>
<h3>To use within a Stallion Theme Template (PHP) file</h3>
<p>If you wanted a new widget area to be added to a particular part of Stallion this can be achieved as follows. First you need to work out which php file to edit to add the shortcode, this isn't always obvious, so will give an easy example.</p>
<p>single.php is the template file responsible for generating the output of WordPress Posts (page.php is for WordPress Pages).</p>
<p>If you make a copy of the single.php file and add it to your Stallion Responsive Child theme folder (/wp-content/themes/stallion-responsive-child/single.php) you can modify this file to add a new widget area(s). Edit your copied single.php file and add:</p>
<p><strong>&lt;?php if (function_exists('swa_template')): swa_template("swa1"); endif; ?&gt;</strong></p>
<p>Note: We add the function_exists part to check this feature is active (swa_template is a function used by this feature). If the function doesn't exist (if in the future you disable this feature) we don't want WordPress to try to load the widget area, would break your site.</p>
<p>Where exactly to add the widget area in the code is up to you, if you wanted a new widget area below the header you'd add it below the get_header code:</p>
<p>&lt;?php get_header(); ?&gt;<br />
&lt;?php if (function_exists('swa_template')): swa_template("swa1"); endif; ?&gt;</p>
<p>On WordPress Posts only whatever is added to this custom widget area will be loaded.</p>
<p>If you added the above to single.php you would find because the new widget area isn't either within the sidebar or main content area the styling Stallion adds to widgets won't work with this location, so you'd also have to add some additional code so the widget area will use the correct CSS styling. Stallion happens to have another widget area in that location for adding full width ads. You could use the same code to have your new widgt area use the correct styling:</p>
<p>&lt;?php get_header(); ?&gt;<br />
&lt;div class="stfullwidget widget-area"&gt;<br />
&lt;div class="sidebar-box"&gt;<br />
&lt;?php if (function_exists('swa_template')): swa_template("swa1"); endif; ?&gt;
&lt;/div&gt;&lt;/div&gt;</p>
<p>This would give you a full width widget area that only loads on WordPress Posts and uses the Stallion layout/styling other widget areas use. You migth not want a new widget area to use the Stallion styling, in which case you wouldn't add the additional code above and add your own CSS styling.</p>
<h3>To use within a WordPress Page Template</h3>
<p>Stallion includes multiple Page templates, Page templates are there to generate interesting features/layouts for a particular post or page. There are over 20 built into Stallion Responsive including multiple sitemap templates, multiple home Page templates with a combination of content and archives.</p>
<p>You could use the same procedure as described for single.php on one of the built in templates or even create a new one. The Stallion page templates tend to be named page-***.php. page-comments-on-top.php for example is a page template that puts the comments at the top of the content rather than below it.</p>
<p>You could also make your own, page-example.php is there for you to create new page templates easily.</p>
<p>Stallion also includes category template files for example category-full.php which when selected (via a Stallion feature) results in the category outputting full posts on the categories rather than excerpts. You can edit these the same way as described for single.php, there's an example category template category-example.php for your use.</p>
<h3>Resources</h3>
<p>
<a href="http://stallion-theme.co.uk/wordpress-page-templates/">Page Template Tutorial</a><br />
<a href="http://stallion-theme.co.uk/wordpress-landing-page-template-content-and-archives/">WP Custom Page Template for Archives</a> : example page template output.</p>
</td></tr>
</table>
  </form>
  </div>
<?php
}
function swa_install() {
}
function swa_template($id="") {
if (!empty($id)) {
$sidebar_name =  $id;
}
else {
$sidebar_name = '1';
}
$arr = array(
'id' => $sidebar_name
);
echo str_widgets_any($arr);
}
function str_widgets_any($atts){
reg_swa_sidebar();
extract(shortcode_atts( array(
'id' => '1'), $atts
));
if (is_numeric($id)) :
$sidebar_name = 'Stallion Anywhere Widget Area ' . $id;
else :
$sidebar_name = $id;
endif;
$str = "";
#$str =  "<div id='" . str_replace(" ", "_", $sidebar_name) . "' class='str_widgets_any'>
#<ul>";
ob_start();
if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($sidebar_name) ) :
endif;
$myStr = ob_get_contents();
ob_end_clean();
$str .= $myStr;
#$str .=  "</ul>
#</div>";
return $str;
}
function reg_swa_sidebar() {
$options = get_option('str_widgetany_field');
$num_sidebars = $options["num_of_waw_sidebars"] + 1;
if ( function_exists('register_sidebar') )
if ($options['swa_name_1'] != "") :
$name = $options['swa_name_1'];
$sidebar_id = ' id="' .$name . '"';  
else :
$name = 'Stallion Anywhere Widget Area 1';
$sidebar_id = ""; 
endif;
$id = 'swa1';
$desc = 'Stallion Widget Area swa1
 - Use shortcode within a Post or Page : 
[stallion_widget_any id=swa1]';

register_sidebar(array(
'name' => __( $name, 'stallion' ),
'id' => $id ,
'description' => __( $desc, 'stallion' ),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));

if ($num_sidebars > 1)  :
for ( $sidebar = 2; $sidebar <= $num_sidebars; $sidebar++){
if ( function_exists('register_sidebar') )
$option_id = 'swa_name_' . $sidebar;
if ($options[$option_id] != "") :
$name = $options[$option_id];
$sidebar_id = ' id=' . $name . ''; 
else :
$name = 'Stallion Anywhere Widget Area ' . $sidebar;
$sidebar_id = ' id="swa' . $sidebar . '"'; 
endif;
$id = 'swa' . $sidebar; 
$desc = 'Stallion Widget Area swa' . $sidebar . '
 - Use shortcode within a Post or Page : 
[stallion_widget_any id=' . $id .']';
register_sidebar(array(
'name' => __( $name, 'stallion' ),
'id' => $id ,
'description' => __( $desc, 'stallion' ),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
}
endif;
}

register_activation_hook(__FILE__,'swa_install');

add_action('admin_init', 'reg_swa_sidebar'); 
add_shortcode('stallion_widget_any', 'str_widgets_any');
?>
<?php
/*
Plugin Name: Widgets in Columns
Description: Display your widgets in desired columns and rows. This is a weapon too powerful to be used in the hand of mortals!
Version: 0.2.4
Author: Hassan Derakhshandeh
Author URI:		http://shazdeh.me/
*/
if (!class_exists('Widgets_in_Columns')) {
class Widgets_in_Columns {
	private static $instance = null;
	/**
	 * Creates or returns an instance of this class.
	 * @return	A single instance of this class.
	 */
	public static function get_instance() {
		return null == self::$instance ? self::$instance = new self : self::$instance;
	}
	private function __construct() {
		add_action( 'widgets_init', array( &$this, 'widgets_init' ) );
		if( is_admin() ) {
			add_action( 'in_widget_form', array( &$this, 'options' ), 10, 3 );
			add_filter( 'widget_update_callback', array( &$this, 'update' ), 10, 3 );
		} else {
			add_filter( 'dynamic_sidebar_params', array( &$this, 'dynamic_sidebar_params' ), 99999 ); /* very high priority to make sure the wrapper divs will wrap everything else */
		}
	}
	function options( $widget, $return, $instance ) {
		if( in_array( $widget->id_base, array( 'stallion_endrow_widget', 'stallion_padding_widget' ) ) )
			return;
		$instance = wp_parse_args( $instance, $this->get_defaults() );
		?>
		<p>
			<label for="<?php echo $widget->get_field_id( 'wic_width' ); ?>"><?php _e( 'Width', 'stallion' ) ?>: </label>
			<select name="<?php echo $widget->get_field_name( 'wic_width' ); ?>" id="<?php echo $widget->get_field_id( 'wic_width' ); ?>" class="smallfat">
				<option value="" <?php selected( $instance['wic_width'], '' ) ?>>Full</option>
				<option value="sthalf" <?php selected( $instance['wic_width'], 'sthalf' ) ?>>1/2</option>
				<option value="stthird" <?php selected( $instance['wic_width'], 'stthird' ) ?>>1/3</option>
				<option value="stthird2" <?php selected( $instance['wic_width'], 'stthird2' ) ?>>2/3</option>
				<option value="stfourth" <?php selected( $instance['wic_width'], 'stfourth' ) ?>>1/4</option>
				<option value="stfourth3" <?php selected( $instance['wic_width'], 'stfourth3' ) ?>>3/4</option>
				<option value="stfifth" <?php selected( $instance['wic_width'], 'stfifth' ) ?>>1/5</option>
				<option value="stfifth2" <?php selected( $instance['wic_width'], 'stfifth2' ) ?>>2/5</option>
				<option value="stfifth3" <?php selected( $instance['wic_width'], 'stfifth3' ) ?>>3/5</option>
				<option value="stfifth4" <?php selected( $instance['wic_width'], 'stfifth4' ) ?>>4/5</option>
				<option value="stsixth" <?php selected( $instance['wic_width'], 'stsixth' ) ?>>1/6</option>
				<option value="stsixth5" <?php selected( $instance['wic_width'], 'stsixth5' ) ?>>5/6</option>
			</select>
		</p>
	<?php }
	/**
	 * Save the wic_width option for current widget in admin area
	 */
	function update( $instance, $new_instance, $old_instance ) {
		$instance['wic_width'] = $new_instance['wic_width'];
		return $instance;
	}
	function dynamic_sidebar_params( $params ) {
		global $wp_registered_widgets;
		$sidebars_widgets = wp_get_sidebars_widgets();
		// get wic_width option
if(isset($wp_registered_widgets[$params[0]['widget_id']]['callback'][0]->option_name))
		$options = get_option( $wp_registered_widgets[$params[0]['widget_id']]['callback'][0]->option_name);
		$widget_id = $this->_get_widget_id( $params[0]['widget_id'] );
if(isset($wp_registered_widgets[$params[0]['widget_id']]['callback'][0]->option_name)){
		$options[$widget_id] = wp_parse_args( $options[$widget_id], $this->get_defaults() );
		$width = $options[$widget_id]['wic_width'];
}
#$position_id = array_search( $params[0]['widget_id'], $sidebars_widgets[$params[0]['id']] );
// last widget in a row?
#$last = $clear = '';
#if( end( $sidebars_widgets[$params[0]['id']] ) == $params[0]['widget_id'] ) {
#$last = 'last';
#$clear = '<div class="clear"></div>';
#}
#if( isset( $sidebars_widgets[$params[0]['id']][$position_id+1] ) && in_array( _get_widget_id_base( $sidebars_widgets[$params[0]['id']][$position_id+1] ), array( 'wic-divider', 'scroller-divider' ) ) )
#$last = 'last';
// trying to be smart here: do not output the wrapper div's unless we need them
		if( ! empty( $width ) && $width !== 'full-width' ) {
			$params[0]['before_widget'] = "<div class='{$width}'>" . $params[0]['before_widget'];
			$params[0]['after_widget'] .= "</div>";
		}
		return $params;
	}
function _get_widget_id( $widget ) {
preg_match( '/-([0-9]+)$/', $widget, $matches );	
if (!$matches) {
return null;
} else {
return $matches[1];
}
#return $matches[1];
}
function widgets_init() { }
function get_defaults() {
return array(
'wic_width' => '',
);
}

}
Widgets_in_Columns::get_instance();
}
?>