<?php
/*
  Template Name: Sitemap ALL Posts Organised by Categories, ALL Pages and ALL Tags
 */
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<?php get_header(); ?>

<?php if ((st_feature_slide() == '3' && st_feature_slidepost() == '1') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost() == '1' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php if (is_active_sidebar('st-below-head2-widget-area')) : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head2-widget-area'); ?>
</div></div>
<?php endif; ?>

<div id="content_all">
<div id="maincontent">

<?php if ((st_feature_slide() == '3' && st_feature_slidepost() == '2') or ((st_feature_slide() == '1' or st_feature_slide() == '2') && st_feature_slidepost() == '2' && is_front_page())) { ?><?php get_template_part( 'layout/featured-slideshow' ); ?><?php } ?>

<?php get_template_part( 'layout/landscape-images' ); ?>

<?php if (is_active_sidebar('banner-widget-area')) : ?><div id="banner_widget" class="sidebar-box">
<?php dynamic_sidebar('banner-widget-area'); ?>
</div>
<div class="clear"></div><?php endif; ?>

<div id="post-entry">
<?php if (have_posts()) : ?>
<!-- google_ad_section_start -->
<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_ON--><?php } ?>
<div id="archives-sitemap" class="post-meta">

<?php get_template_part( 'layout/link_h1_self' ); ?>
<h2>All Pages</h2>
<div class="post-content">

<?php if (is_active_sidebar('content-widget-area')) : ?>
<div id="content_widget" class="sidebar-box <?php echo st_content_widget_align(); ?>">
<?php dynamic_sidebar('content-widget-area'); ?>
</div><?php endif; ?>

<?php get_template_part( 'ad_includes/adsense_con1' ); ?>
<?php get_template_part( 'ad_includes/chitika_con1' ); ?>
<ul>
<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
</ul>

</div>

<div class="divpadding"></div>

<h2>All Posts by Category</h2>

<div class="post-content">

<?php
// Add categories you'd like to exclude in the exclude here
$cats = get_categories();
foreach ($cats as $catz) {
echo "<ul>
";
echo '<li><a href="' . get_category_link($catz->cat_ID) . '">' . $catz->cat_name . '</a></li>

';

query_posts('posts_per_page=-1&cat=' . $catz->cat_ID);
while (have_posts()) {
the_post();
$category = get_the_category();
// Only display a post link once, even if it's in multiple categories
if ($category[0]->cat_ID == $catz->cat_ID) {
echo '<li><a href="' . get_permalink() . '">' . get_the_title() . '</a></li>
';
}
}
echo "</ul>";
echo "
";
}
wp_reset_query();
?>
</div>

<div class="divpadding"></div>

<h2>All Tags</h2>

<div class="post-content">

<?php
$tags = get_tags();
if ($tags) {

echo "<ul>
";
foreach ($tags as $tag) {
echo '<li><a href="' . get_tag_link( $tag->term_id ) . '">' . $tag->name.'</a></li>
';
}
echo "</ul>";
}
?>

<!-- google_ad_section_end -->
<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>
</div>

</div>
<?php get_template_part( 'ad_includes/chitika_con4' ); ?>
<?php get_template_part( 'ad_includes/adsense_con3' ); ?>
<?php get_template_part( 'ad_includes/adsense_lnk4' ); ?>
<div class="divpadding"></div>

<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>