<?php
function st_unregister_default_wp_widgets() {
if (st_wp_widget_recent_comments() == 'off') {unregister_widget('WP_Widget_Recent_Comments');}
if (st_wp_widget_calendar() == 'off') {unregister_widget('WP_Widget_Calendar');}
if (st_wp_widget_meta() == 'off') {unregister_widget('WP_Widget_Meta');}
if (st_wp_widget_links() == 'off') {unregister_widget('WP_Widget_Links');}
if (st_wp_widget_archives() == 'off') {unregister_widget('WP_Widget_Archives');}
if (st_wp_widget_recent_posts() == 'off') {unregister_widget('WP_Widget_Recent_Posts');}
if (st_wp_widget_pages() == 'off') {unregister_widget('WP_Widget_Pages');}
if (st_wp_widget_search() == 'off') {unregister_widget('WP_Widget_Search');}
if (st_wp_widget_rss() == 'off') {unregister_widget('WP_Widget_RSS');}
if (st_wp_widget_tag_cloud() == 'off') {unregister_widget('WP_Widget_Tag_Cloud');}
if (st_wp_widget_categories() == 'off') {unregister_widget('WP_Widget_Categories');}
if (st_wp_widget_text() == 'off') {unregister_widget('WP_Widget_Text');}
if (st_wp_nav_menu_widget() == 'off') {unregister_widget('WP_Nav_Menu_Widget');}
}
add_action('widgets_init', 'st_unregister_default_wp_widgets', 1);
?>
<?php
function stallion_widgets_init() {
register_sidebar(array(
'name' => __('Left Sidebar', 'stallion'),
'id' => 'st-left-sidebar',
'description' => __('Main Left Sidebar : Please add at least one widget here.', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Right Sidebar', 'stallion'),
'id' => 'st-right-sidebar',
'description' => __('Main Right Sidebar : Please add at least one widget here.', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Left Sidebar Top Left', 'stallion'),
'id' => 'st-left-sidebar-tleft',
'description' => __('Left Sidebar Top Left Above Main Left Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Left Sidebar Top Right', 'stallion'),
'id' => 'st-left-sidebar-tright',
'description' => __('Left Sidebar Top Right Above Main Left Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Left Sidebar Bottom Left', 'stallion'),
'id' => 'st-left-sidebar-bleft',
'description' => __('Left Sidebar Bottom Left Below Main Left Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Left Sidebar Bottom Right', 'stallion'),
'id' => 'st-left-sidebar-bright',
'description' => __('Left Sidebar Bottom Right Below Main Left Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Right Sidebar Top Left', 'stallion'),
'id' => 'st-right-sidebar-tleft',
'description' => __('Right Sidebar Top Left Above Main Right Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Right Sidebar Top Right', 'stallion'),
'id' => 'st-right-sidebar-tright',
'description' => __('Right Sidebar Top Right Above Main Right Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Right Sidebar Bottom Left', 'stallion'),
'id' => 'st-right-sidebar-bleft',
'description' => __('Right Sidebar Bottom Left Below Main Right Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Right Sidebar Bottom Right Area', 'stallion'),
'id' => 'st-right-sidebar-bright',
'description' => __('Right Sidebar Bottom Right Below Main Right Sidebar', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('First Footer Area', 'stallion'),
'id' => 'first-footer-widget-area',
'description' => __('1 of 4 in a row footer areas. When all 4 have widgets each area is 235px wide. If nothing is added to the Fourth Area, areas 1 to 3 are 320px wide and fill the width of the screen basically becomes 1 of 3', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Second Footer Area', 'stallion'),
'id' => 'second-footer-widget-area',
'description' => __('2 of 4 in a row footer areas. When all 4 have widgets each area is 235px wide. If nothing is added to the Fourth Area, areas 1 to 3 are 320px wide and fill the width of the screen basically becomes 2 of 3', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Third Footer Area', 'stallion'),
'id' => 'third-footer-widget-area',
'description' => __('3 of 4 in a row footer areas. When all 4 have widgets each area is 235px wide. If nothing is added to the Fourth Area, areas 1 to 3 are 320px wide and fill the width of the screen basically becomes 3 of 3', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Fourth Footer Area', 'stallion'),
'id' => 'fourth-footer-widget-area',
'description' => __('4 of 4 in a row footer areas. When all 4 have widgets each area is 235px wide. If nothing is added to the this Area, areas 1 to 3 are 320px wide and fill the width of the screen basically they become 1 of 3 and this area is hidden', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Below Main Footer Area', 'stallion'),
'id' => 'fifth-footer-widget-area',
'description' => __('Area below First to Fourth Footer Area, 970px wide', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Above Header Area', 'stallion'),
'id' => 'st-above-header-widget-area',
'description' => __('Widgets here load at the very top of the page above the head area, 1000px wide. Widgets added here have most formatting missing, add your own CSS to style. Entire area surrounded by a div with CSS class stabovehead. For advanced use to add HTML content to a Text Widget that loads above the head area', 'stallion'),
'before_widget' => '<div id="%1$s" class="%2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget_ah">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Within/Over Header Area', 'stallion'),
'id' => 'st-header-widget-area',
'description' => __('Replaces header search form, turn the search form off under Stallion Layout Options to activate this area. This area loads over the header area to the right, lacks most formatting, add HTML content to a Text widget or add an ad widget like AdSense', 'stallion'),
'before_widget' => '<div id="%1$s" class="%2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget_ha">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Below Header Area 1', 'stallion'),
'id' => 'st-below-head1-widget-area',
'description' => __('970px wide area below the header and navigation menu', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Below Header Area 2', 'stallion'),
'id' => 'st-below-head2-widget-area',
'description' => __('Same as below Header Area 1, but after the PhotoNavMenu and Featured Slider when full width', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Below Banner Image Area', 'stallion'),
'id' => 'banner-widget-area',
'description' => __('Area below the banner image and the top of main content', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Floating Content Area', 'stallion'),
'id' => 'content-widget-area',
'description' => __('Floating ad area in main content, for custom ads/content, widgets float like the main AdSense ad unit. See Stallion Layout Options page for alignment settings', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Between Posts on Archives Area', 'stallion'),
'id' => 'archive-widget-area',
'description' => __('On archives including home page, categories and tags a center aligned widget area between the 5th and 6th archived posts', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
register_sidebar(array(
'name' => __('Bottom of Blog Posts and Static Pages Area', 'stallion'),
'id' => 'bottom-content-widget-area',
'description' => __('Bottom of content within the main content of posts and static pages only', 'stallion'),
'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
'after_widget' => '</div>',
'before_title' => '<span class="gat_widget">',
'after_title' => '</span>',
));
get_template_part( 'widgets/custom-widget-areas' );

}
add_action('widgets_init', 'stallion_widgets_init');
?>
<?php
function wp_loginoutseo($before = '', $after = '') {
if (!is_user_logged_in())
$link = $before . '<form method="post" action="' . site_url('/wp-login.php') . '"><div><button class="loglinks">' . __('Login', 'stallion') . '</button></div></form>' . $after;
else
$link = $before . '<form method="post" action="' . site_url('/wp-login.php?action=logout') . '"><div><button class="loglinks">' . __('Logout', 'stallion') . '</button></div></form>' . $after;
echo apply_filters('loginout', $link);
}
function wp_registerseo($before = '', $after = '') {
if (!is_user_logged_in()) {
if (get_option('users_can_register'))
$link = $before . '<form method="post" action="' . site_url('/wp-login.php?action=register') . '"><div><button class="loglinks">' . __('Register', 'stallion') . '</button></div></form>' . $after;
else
$link = '';
} else {
$link = $before . '<form method="post" action="' . site_url('/wp-admin/') . '"><div><button class="loglinks">' . __('Site Admin', 'stallion') . '</button></div></form>' . $after;
}
echo apply_filters('register', $link);
}
?>
<?php if (st_wp_meta_widget() != 'off') { ?>
<?php function st_Meta() { ?>
<div id="st_meta_widget" class="widget-container">
<span class="gat_widget"><?php _e('Meta', 'stallion'); ?></span>
<div class="loginfm">
<?php wp_registerseo(); ?>
<?php wp_loginoutseo(); ?>
<?php wp_meta(); ?>
</div>
</div>
<?php
}

wp_register_sidebar_widget(
'4gat-meta', 'Stallion Meta Widget', 'st_Meta', array(
'description' => 'Stallion Meta Widget includes advanced SEO code to prevent wasted link benefit on login links'
)
);
?>
<?php } ?>
<?php if (st_wp_rss_feed_widget() != 'off') { ?>
<?php function st_RSS() { ?>
<div id="st_rssfeed_widget" class="widget-container">
<span class="gat_widget"><?php _e('RSS Feeds', 'stallion'); ?></span>
<ul>
<li><a href="<?php bloginfo('rss2_url'); ?>"><?php _e('Article <abbr title="Really Simple Syndication">RSS</abbr> Feed', 'stallion'); ?> <img src="<?php if (file_exists(STYLESHEETPATH . '/images/ico/rss.gif')) {
bloginfo('stylesheet_directory');
} else {
bloginfo('template_url');
} ?>/images/ico/rss.gif" alt="<?php bloginfo('name'); ?> <?php _e('Article RSS Feed', 'stallion'); ?>" width="11px" height="11px" /></a></li>
<li><a href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr> Feed', 'stallion'); ?> <img src="<?php if (file_exists(STYLESHEETPATH . '/images/ico/rss.gif')) {
bloginfo('stylesheet_directory');
} else {
bloginfo('template_url');
} ?>/images/ico/rss.gif" alt="<?php bloginfo('name'); ?> <?php _e('Comments RSS Feed', 'stallion'); ?>" width="11px" height="11px" /></a></li>
</ul>
</div>
<?php
}

wp_register_sidebar_widget(
'5gat-rss-feeds', 'Stallion RSS Feeds Widget', 'st_RSS', array(
'description' => 'Stallion WordPress RSS Feeds Widget includes links to post feed and comment feed'
)
);
?>
<?php } ?>
<?php if (st_wp_facebook_widget() != 'off') { ?>
<?php function st_Facebkfc() { ?>
<div id="st_facebook_widget" class="widget-container">
<span class="gat_widget"><?php _e('Facebook', 'stallion'); ?></span>
<div class="loginfm alcenter">
<script type="text/javascript" src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:activity site="<?php the_permalink(); ?>" width="195" height="400" header="false" font="arial" recommendations="false"></fb:activity>
</div>
</div>
<?php
}

wp_register_sidebar_widget(
'9gat-facebook', 'Stallion Facebook Widget', 'st_Facebkfc', array(
'description' => 'Stallion Facebook Widget'
)
);
?>
<?php } ?>
<?php if (st_wp_marchives_widget() != 'off') { ?>
<?php
function st_Archives() { ?>
<?php if (is_home()) { ?>
<div class="widget-container">
<span class="gat_widget"><?php echo st_lang_archives(); ?></span>
<ul>
<?php wp_get_archives('type=monthly&limit=12'); ?>
</ul>
</div>
<?php } ?>
<?php
}

wp_register_sidebar_widget(
'9gat-archives', 'Stallion Monthly Archives Widget', 'st_Archives', array(
'description' => 'Monthly Archives are NOT a recommend widget SEO wise, if you use a monthly archive use this one it is less SEO damaging than the default Archives widget.'
)
);
?>
<?php } ?>
<?php if (st_wp_h1_replace_widget() != 'off') { ?>
<?php
function st_h1re() { 
?>
<?php if (is_page("archives") || is_year() || is_month() || is_day() || is_home() || is_404() || is_author()) { ?>
<div class="widget-container">
<h1 class="gat_widget"><?php bloginfo('name'); ?></h1>
<?php } ?>
<?php if (is_category() || is_single() || is_page() || is_search() || is_tag()) { ?>
<div class="widget-container">
<span class="gat_widget"><?php bloginfo('name'); ?></span>
<?php } ?>
<?php if (st_tagline() == '1') { ?><p><?php bloginfo('description'); ?></p>
<?php } ?>
</div>
<?php
}

wp_register_sidebar_widget(
'st_h1re', 'Stallion H1 Replacement', 'st_h1re', array(
'description' => 'Stallion Responsive H1 Header Replacement for sites with Title Link OFF (Under Layout Options).'
)
);
?>
<?php } ?>
<?php if (st_wp_search_widget() != 'off') { ?>
<?php
add_action('widgets_init', 'stallion_st_search_widget');

function stallion_st_search_widget() {
register_widget('stallion_search_widget');
}

class stallion_search_widget extends WP_Widget {

function stallion_search_widget() {

$widget_ops = array('classname' => 'stallion_search_widget', 'description' => __('Stallion WordPress Search Widget', 'stallion'));
$this->WP_Widget('stallion_search_widget', __('Stallion Search Widget', 'stallion'), $widget_ops);
}

function widget($args, $instance) {
if (isset($instance['title'])) {
$title = $instance['title'];
} else {
$title = '';
}

extract($args, EXTR_SKIP);
echo $before_widget;
if (!empty($title)) {
echo $before_title . $title . $after_title;
}
?>

<div class="loginfm">
<form method="get" id="searchwidget" action="<?php echo esc_url($_SERVER['PHP_SELF']); ?>" >
<div><label class="screen-reader-text" for="s"></label>
<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" />
<input type="submit" id="searchsubmit" value="<?php echo st_lang_search_go(); ?>" />
</div>
</form>
</div>

<?php
echo $after_widget;
}

function update($new_instance, $old_instance) {
$instance = $old_instance;
$instance['title'] = strip_tags($new_instance['title'], '<br>');

return $instance;
}

function form($instance) {
if (isset($instance['title'])) {
$title = $instance['title'];
} else {
$title = '';
}
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'stallion') ?>
<input class="widefat" type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>">
</label>
</p>
<?php } } ?>
<?php } ?>
<?php if (st_wp_gtranslation_widget() != 'off') {get_template_part( 'widgets/google-translation' ); } ?>
<?php if (st_wp_seo_posts_widget() != 'off') {get_template_part( 'widgets/stallion-wordpress-seo-posts' ); }?>
<?php if (st_wp_125px_ads_widget() != 'off') {get_template_part( 'st_responsive_125px_ads' ); }?>
<?php if (st_wp_flickr_widget() != 'off') {get_template_part( 'widgets/flickr-widget' );  }?>
<?php if (st_wp_youtube_rss_widget() != 'off') {get_template_part( 'widgets/youtube-widget' );  }?>
<?php if (st_wp_seo_comments_widget() != 'off') {get_template_part( 'widgets/stallion-wordpress-seo-recent-comments' ); }?>
<?php if (st_wp_cat_icons_widget() != 'off') {get_template_part( 'widgets/stallion_cat_icons' );  }?>
<?php if (st_wp_single_posts_widget() != 'off') {get_template_part( 'widgets/stallion_single_widget' );  }?>
<?php if (st_wp_custom_ad_widget() != 'off') {get_template_part( 'widgets/ad-widget' );  }?>
<?php if (st_adsense_on() == '1') { ?><?php get_template_part( 'widgets/adsense-widgets' ); ?><?php } ?>
<?php if (st_chitika_on() == '1') { ?><?php get_template_part( 'widgets/chitika-widgets' ); ?><?php } ?>
<?php if (st_wp_awesome_widget() != 'off') {get_template_part( 'widgets/custom-widgets' );  }?>
<?php get_template_part( 'widgets/recent-comments-functions' ); ?>
<?php if (function_exists('st_disp_warn2')) {} else {echo '<h4>This message suggests you have deleted an important file, try uploading Stallion again.</h4>';} ?>
<?php if (st_wp_padding_widget() != 'off') {
add_action('widgets_init', 'stallion_st_padding');
function stallion_st_padding() {
register_widget('stallion_padding_widget');
}
class stallion_padding_widget extends WP_Widget {
function stallion_padding_widget() {
$widget_ops = array('classname' => 'stallion_padding_widget', 'description' => __('Adds 20px horizontal padding for spacing widgets, also clears floats for end of a row of widgets when using width. Example use- Width 1/2 : Width 1/2 : Padding Widget : Width 1/3 : Width 1/3 : Width 1/3 : Padding Widget. Would generate two rows of widgets. See Row End Widget for no padding version.', 'stallion'));
$this->WP_Widget('stallion_padding_widget', __('Stallion : Padding Widget', 'stallion'), $widget_ops);
}
function widget($args, $instance) {
?>
<div class="divpadding"></div>
<?php
}
function update($new_instance, $old_instance) {
$instance = $old_instance;
return $instance;
}
function form($instance) {
}
} } ?>
<?php if (st_wp_endrow_widget() != 'off') {
add_action('widgets_init', 'stallion_st_endrow');
function stallion_st_endrow() {
register_widget('stallion_endrow_widget');
}
class stallion_endrow_widget extends WP_Widget {
function stallion_endrow_widget() {
$widget_ops = array('classname' => 'stallion_endrow_widget', 'description' => __('Clears floats for end of a row of widgets when using width. Example use- Width 1/2 : Width 1/2 : Row End Widget : Width 1/3 : Width 1/3 : Width 1/3 : Row End Widget. Would generate two rows of widgets. See Padding Widget for 20px padding version.', 'stallion'));
$this->WP_Widget('stallion_endrow_widget', __('Stallion : Row End Widget', 'stallion'), $widget_ops);
}
function widget($args, $instance) {
?>
<div class="clear"></div>
<?php
}
function update($new_instance, $old_instance) {
$instance = $old_instance;
return $instance;
}
function form($instance) {
}
} } ?>
<?php if (st_wp_spacer_widget() != 'off') {
add_action('widgets_init', 'stallion_st_spacer');
function stallion_st_spacer() {
register_widget('stallion_spacer_widget');
}
class stallion_spacer_widget extends WP_Widget {
function stallion_spacer_widget() {
$widget_ops = array('classname' => 'stallion_spacer', 'description' => __('Spacer widget for adding gaps within rows of widgets. Example use- Width 1/3 : Spacer Width 1/3 : Width 1/3 : Row End Widget : Width 1/3 : Width 1/3 : Width 1/3 : Row End Widget. Would generate two rows of widgets, with a gap 1/3rd width of area between widgets 1 and 3 in the top row.', 'stallion'));
$this->WP_Widget('stallion_spacer_widget', __('Stallion : Spacer Widget', 'stallion'), $widget_ops);
}
function widget($args, $instance) {
echo $args['before_widget'];
echo $args['after_widget'];
}
function update($new_instance, $old_instance) {
$instance = $old_instance;
return $instance;
}
function form($instance) {
}
} }?>