<!doctype html>
<!--[if !IE]>
<html class="no-js non-ie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>
<html class="no-js ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>
<html class="no-js ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9 ]>
<html class="no-js ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!-->
<html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<link rel="profile" href="http://gmpg.org/xfn/11"/>
<meta charset="<?php bloginfo( 'charset' ); ?>"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php if (st_stallionallinoneseo() == '1') : ?>
<?php st_seo_title_e(); ?>
<?php st_seo_meta_d(); ?>
<?php st_seo_meta_k(); ?>
<?php else : ?>
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<?php endif; ?>
<?php if ( (is_single() || is_page()) && get_post_meta($post->ID, 'st_meta_header_or', true) ): $stmetaheaderor = get_post_meta($post->ID, 'st_meta_header_or', true);
else : $stmetaheaderor = stct_header_bg_img();
endif; ?>
<?php if (st_header_bg_on() == '1' && st_header_alt() == '1') { ?><style type="text/css">#header_stallion {background-image: url(<?php
if (file_exists(STYLESHEETPATH . '/headers/' . $stmetaheaderor . '')) {
bloginfo('stylesheet_directory');
} else {
bloginfo('template_url');
}
?><?php echo('/headers/' . $stmetaheaderor . ''); ?>);}</style>
<?php } ?>
<?php if (st_google_authorship() != '') { ?><link rel="author" href="<?php echo st_google_authorship(); ?>" /><?php } ?>
<?php if (st_robot_noodpydir() == '1') { ?><meta name="robots" content="noodp,noydir" /><?php } ?>
<?php if (is_home() || is_front_page() && !is_paged()) { ?><?php if (st_google_verify() != '') { ?><?php echo st_google_verify(); ?><?php } ?>
<?php if (st_bing_verify() != '') { ?><?php echo st_bing_verify(); ?><?php } ?><?php if (st_alexa_verify() != '') { ?><?php echo st_alexa_verify(); ?><?php } ?><?php if (st_pinterest_verify() != '') { ?><?php echo st_pinterest_verify(); ?><?php } ?><?php if (st_anymeta_verify() != '') { ?><?php echo st_anymeta_verify(); ?><?php } ?><?php } ?>
<?php wp_head(); ?>
<?php if (st_g_analyticsful() != '') { echo st_g_analyticsful(); } ?>
<?php if (class_exists('W3_Plugin_Minify')){ ?><!-- W3TC-include-css --><!-- W3TC-include-js-head --><?php } ?></head>
<body <?php body_class(); ?>>
<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>
<div id="stallion_body custom-background-css">
<div id="wrap_stallion">
<?php if (is_active_sidebar('st-above-header-widget-area')) : ?>
<div class="stabovehead">
<?php dynamic_sidebar('st-above-header-widget-area'); ?>
</div>
<?php endif; ?>
<?php if (st_header_alt() == '1') { ?>
<div id="header_stallion2">
<div id="header_stallion">
<div class="h1disc">
<div class="headleft">
<?php if (st_header_alt_title() == '1') { ?><?php if (is_page("archives") || is_year() || is_month() || is_day() || is_home() || is_404() || is_author()) { ?><h1 class="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1><?php } ?>
<?php if (is_category() || is_single() || is_page() || is_search() || is_tag()) { ?><span class="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></span><?php } ?><?php } ?>
<?php if (st_tagline() == '1') { ?><p class="description"><?php bloginfo('description'); ?></p>
<?php } ?>
</div>
</div>
</div></div><?php } ?>
<?php if (st_header_2011_activate() == '1') { ?>
<div id="header_stallion_2011">
<div id="branding"><?php if (st_header_2011_title() == '1') { ?><span id="header_stallion_2011_top"><?php if (is_page("archives") || is_year() || is_month() || is_day() || is_home() || is_404() || is_author()) { ?><h1 class="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1><?php } ?>
<?php if (is_category() || is_single() || is_page() || is_search() || is_tag()) { ?><div class="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></div><?php } ?>
<?php if (st_tagline() == '1') { ?><p id="site-description"><?php bloginfo('description'); ?></p>
<?php } ?></span><?php } ?>
<?php $header_image = get_header_image(); ?>
<?php if (!empty($header_image) || (is_singular() && get_post_meta($post->ID, 'st_meta_top_banner_post', true) && (get_post_meta($post->ID, 'st_meta_top_banner_post_use', true) == '6'))) : ?>
<a href="<?php echo esc_url(home_url('/')); ?><?php if (st_seo_plus() == '1') { ?>#head2011<?php } ?>"><?php if (is_singular() && get_post_meta($post->ID, 'st_meta_top_banner_post', true) && (get_post_meta($post->ID, 'st_meta_top_banner_post_use', true) >= '3')) :
$stmetatopbannerpost = get_post_meta($post->ID, 'st_meta_top_banner_post', true); ?><img src="<?php echo($stmetatopbannerpost); ?>" width="1000" alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" /></a>
<?php else : ?>
<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" /></a>
<?php endif; ?>
<?php endif; ?></div>
<?php if (has_nav_menu('primary') && st_header_alt() == '0' && st_nav_menu_on() != '0') { ?><?php get_template_part( 'layout/navigation-menu' ); ?><?php } ?>
</div><?php } ?>
<?php if (is_active_sidebar('st-below-head1-widget-area')) : ?>
<div class="stfullwidget widget-area">
<div class="sidebar-box">
<?php dynamic_sidebar('st-below-head1-widget-area'); ?>
</div></div>
<?php endif; ?>
<?php if (st_nav_menu_photo() == '1') { ?><?php get_template_part( 'layout/photonav' ); ?><?php } ?>
<?php get_template_part( 'ad_includes/header-ads' ); ?>