<?php
/*
  Plugin Name: Stallion Stop Stupid SPAMBOTS
  Plugin URI: http://stallion-theme.co.uk/
  Description: Stallion Stop Stupid SPAMBOTS stops SPAMBOTS that don't use a HTTP_REFERER. Not so stupid SPAMBOTS will include a fake HTTP_REFERER value and won't be stopped by this plugin. Use in conjunction with plugins like Akismet to reduce the number of SPAM comments.
  Version: 8.1
  Author: David Law
  Author URI: Stallion Stop Stupid SPAMBOTS
 */
function str_check_http_referer() {
if (!isset($_SERVER['HTTP_REFERER']) || $_SERVER['HTTP_REFERER'] == "") {
wp_die(__('If you are a real person please enable HTTP Referrer in your browser, on the other hand if you are a comment spambot please take a long walk off a short pier!', 'stallion'));
}
}
add_action('check_comment_flood', 'str_check_http_referer');
?>
<?php
function str_add_comment_nonce() {
wp_nonce_field('anti_spam_nonce_field');
}
add_action('comment_form', 'str_add_comment_nonce');
function str_check_comment_form_nonce_field() {
if (!wp_verify_nonce($_REQUEST['_wpnonce'], 'anti_spam_nonce_field'))
die('Security check failed');
}
add_action('pre_comment_on_post', 'str_check_comment_form_nonce_field');
?>
<?php
function str_check_dupe() {
$stauthorck = ( isset($_POST['author']) ) ? trim(strip_tags($_POST['author'])) : 'straut123';
$stemailck = ( isset($_POST['email']) ) ? trim($_POST['email']) : 'stemail123';
$sturlck = ( isset($_POST['url']) ) ? trim($_POST['url']) : 'strurl123';
$sthikarititledcommentsck = ( isset($_POST['hikari-titled-comments']) ) ? trim($_POST['hikari-titled-comments']) : 'strhikari123';
$stcommentck = ( isset($_POST['comment']) ) ? trim($_POST['comment']) : 'strcomment123';
if (
$stauthorck == $stemailck ||
$stauthorck == $sturlck ||
$stauthorck == $sthikarititledcommentsck ||
$stauthorck == $stcommentck ||
$stemailck == $sturlck ||
$stemailck == $sthikarititledcommentsck ||
$stemailck == $stcommentck ||
$sturlck == $sthikarititledcommentsck ||
$sturlck == $stcommentck ||
$sthikarititledcommentsck == $stcommentck
) {
wp_die( __('Sorry, two or more comment fields have the same content which suggests you are a SPAMbot, go back and make all comment fields unique.') );
}
}
add_action('pre_comment_on_post', 'str_check_dupe');
?>
<?php
add_action('comment_form', 'st_add_honeypot');
function st_add_honeypot($postID) {
echo '<input type="text" name="str_more_comment" id="str_more_comment" value="" class="st_feature_display" />';
echo '<textarea name="str_more_comment2" class="st_feature_display"></textarea>';
}
function st_check_honeypot() {
if (!empty($_POST['str_more_comment']) || !empty($_POST['str_more_comment2'])) {
wp_die( __('Sorry, you managed to fill a hidden SPAM HoneyPot comment field which suggests you are a SPAMbot.') );
}
}
add_action('pre_comment_on_post', 'st_check_honeypot');
?>
<?php
function str_url_spamcheck( $approved , $commentdata ) {
return ( strlen( $commentdata['comment_author_url'] ) > st_stupid_bots_url() ) ? 'spam' : $approved;
}
add_filter( 'pre_comment_approved', 'str_url_spamcheck', 99, 2 );
?>
<?php if (st_author_links() == '0' && !is_user_logged_in()) {
function str_remove_comment_fields($fields) {
unset($fields['url']);
return $fields;
}
add_filter('comment_form_default_fields','str_remove_comment_fields');
function str_url_spamcheck2( $approved , $commentdata ) {
return ( strlen( $commentdata['comment_author_url'] ) > 1 ) ? 'spam' : $approved;
}
add_filter( 'pre_comment_approved', 'str_url_spamcheck2', 99, 2 );
}
?>